ape-tmpl
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/ape-repo/ape-tmpl
[bd_travis_url]: http://travis-ci.org/ape-repo/ape-tmpl
[bd_travis_shield_url]: http://img.shields.io/travis/ape-repo/ape-tmpl.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/ape-repo/ape-tmpl
[bd_travis_com_shield_url]: https://api.travis-ci.com/ape-repo/ape-tmpl.svg?token=
[bd_license_url]: https://github.com/ape-repo/ape-tmpl/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/ape-repo/ape-tmpl
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/ape-repo/ape-tmpl.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/ape-repo/ape-tmpl.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/ape-repo/ape-tmpl
[bd_gemnasium_shield_url]: https://gemnasium.com/ape-repo/ape-tmpl.svg
[bd_npm_url]: http://www.npmjs.org/package/ape-tmpl
[bd_npm_shield_url]: http://img.shields.io/npm/v/ape-tmpl.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Templates for ape framework.

<!-- Description End -->




<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>

Installation
------------

```bash
$ npm install ape-tmpl --save-dev
```

<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Usage.md.hbs" Start -->

<a name="section-doc-guides-02-usage-md"></a>

Usage
-----

### Generating README.md

**.README.md.bud**

```javascript
/**
 * Bud file for README.md
 */

'use strict'

const apeTmpl = require('ape-tmpl')
const pkg = require('./package.json')

module.exports = apeTmpl.readmeMdBud({
  pkg: pkg,
  repo: 'okunishinishi/my-awesome-one',
  sections: 'docs/readme/*.md.hbs', // Each readme section files.
  badges: {
    travis: true,
    codeclimate: true,
    codeclimateCoverage: true,
    gemnasium: true,
    npm: true
  }
})

if (!module.parent) {
  // This will generate "README.md"
  require('coz').render(__filename)
}

```

Then,

```bash
$ node .README.md.bud
```


### Generating LICENSE

**.LICENSE.bud**

```javascript
/**
 * Bud file for LICENSE
 */

'use strict'

const apeTmpl = require('ape-tmpl')

module.exports = apeTmpl.licenseBud({
  type: 'MIT',
  holder: 'apeman-labo',
  year: 2015
})

if (!module.parent) {
  // This will generate "LICENSE"
  require('coz').render(__filename)
}
```

Then,

```bash
$ node .LICENSE.bud
```

<!-- Section from "doc/guides/02.Usage.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/ape-repo/ape-tmpl/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [ape-repo][ape_repo_url]
+ [coz][coz_url]

[ape_repo_url]: https://github.com/ape-repo
[coz_url]: https://github.com/coz-labo/coz

<!-- Links End -->
